/* 
 This file was generated by Dashcode.  
 You may edit this file to customize your widget or web page 
 according to the license.txt file included in the project.
 */

//
// Function: load()
// Called by HTML body element's onload event when the widget is ready to start
//
function load()
{
    dashcode.setupParts();
}

//
// Function: remove()
// Called when the widget has been removed from the Dashboard
//
function remove()
{
    // Stop any timers to prevent CPU usage
    // Remove any preferences as needed
    // widget.setPreferenceForKey(null, dashcode.createInstancePreferenceKey("your-key"));
}

//
// Function: hide()
// Called when the widget has been hidden
//
function hide()
{
    // Stop any timers to prevent CPU usage
}

//
// Function: show()
// Called when the widget has been shown
//
function show()
{
    // Restart any timers that were stopped on hide
}

//
// Function: sync()
// Called when the widget has been synchronized with .Mac
//
function sync()
{
    // Retrieve any preference values that you need to be synchronized here
    // Use this for an instance key's value:
    // instancePreferenceValue = widget.preferenceForKey(null, dashcode.createInstancePreferenceKey("your-key"));
    //
    // Or this for global key's value:
    // globalPreferenceValue = widget.preferenceForKey(null, "your-key");
}

//
// Function: showBack(event)
// Called when the info button is clicked to show the back of the widget
//
// event: onClick event from the info button
//
function showBack(event)
{
    var front = document.getElementById("front");
    var back = document.getElementById("back");

    if (window.widget) {
        widget.prepareForTransition("ToBack");
    }

    front.style.display = "none";
    back.style.display = "block";

    if (window.widget) {
        setTimeout('widget.performTransition();', 0);
    }
}

//
// Function: showFront(event)
// Called when the done button is clicked from the back of the widget
//
// event: onClick event from the done button
//
function showFront(event)
{
    var front = document.getElementById("front");
    var back = document.getElementById("back");

    if (window.widget) {
        widget.prepareForTransition("ToFront");
    }

    front.style.display="block";
    back.style.display="none";

    if (window.widget) {
        setTimeout('widget.performTransition();', 0);
    }
}

if (window.widget) {
    widget.onremove = remove;
    widget.onhide = hide;
    widget.onshow = show;
    widget.onsync = sync;
}


function Keisan(event)
{
    // ここにコードを挿入
    var inputDatafield = document.getElementById("inputText");
    var outData = document.getElementById("outField");
    var indicator = document.getElementById("horizontalLevelIndicator");
    var inputData = inputDatafield.value;
    var popupData = document.getElementById("popup");
    var maxPay = popupData.value;
    var packets = Math.ceil(inputData / 0.21 + 0.99);
    var kekka = Math.round(packets * 0.084);
    var kingaku = to_comma(kekka);
    outData.value = "";
     if (kekka <= "1029") {
            outData.value = "パケット通信料の概算は\n　まだ　1,029円です。";
    } else if (kekka < maxPay) {
        outData.value = "パケット通信料の概算は\n　" + kingaku + "円です。";
    } else {
        outData.value = "パケット通信料の概算は\n　上限の　";
        if (maxPay == "4410") {
            outData.value = outData.value + "4,410円です。";
        } else {
            outData.value = outData.value + "5,985円です。";
        }
    }

    outData.value = outData.value + "\n（" + to_comma(packets) + " パケット）";
    
    if (maxPay == "4410") {
        indicator.object.setMaxValue("52500");
        indicator.object.setOnValue("19900");
        indicator.object.setWarningValue("30760");
        indicator.object.setCriticalValue("43812");
    } else {
        indicator.object.setMaxValue("71250");
        indicator.object.setOnValue("27000");
        indicator.object.setWarningValue("41750");
        indicator.object.setCriticalValue("59459");
    }
    indicator.object.setValue(packets);
}

function to_comma(from)
{
    var comma = String(from);
    var tmp = "";
    while (comma != (tmp = comma.replace(/^([+-]?\d+)(\d\d\d)/,"$1,$2"))) {
        comma = tmp;
    }
    return comma;
}